const system=require("../../system");
const settings=require("../../../config/settings");
const uiconfig=system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("copyrightauthor", {
    proxyCode: DataTypes.STRING,
    orderNum: DataTypes.STRING,
    name:DataTypes.STRING,
    type:DataTypes.STRING,
    countryName:DataTypes.STRING,
    applyProvince:DataTypes.STRING,
    applyCity:DataTypes.STRING,
    certificateType: DataTypes.STRING,
    certificateCode:DataTypes.STRING,
    garden:DataTypes.STRING,//园区
    entType:DataTypes.STRING,//企业类别
    sign_info:DataTypes.STRING(50),//署名情况信息
    alias_info:DataTypes.STRING(50),//别名信息
    idNoUrl: DataTypes.TEXT,//证件url
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'h_copyright_author',
     validate: {
     }
  });
}
